<?php
/**
 * Pro Super Slider
 *This program is free software: you can redistribute it and/or modify it under the terms
 *of the GNU General Public License as published by the Free Software Foundation,
 *either version 3 of the License, or (at your option) any later version.
 *
 *This program is distributed in the hope that it will be useful,
 *but WITHOUT ANY WARRANTY; without even the implied warranty of
 *MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *GNU General Public License for more details.
 *
 *You should have received a copy of the GNU General Public License
 *along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 *@author ProJoom
 *@copyright (C) 2008 - 2012 ProJoom
 *@link http://www.projoom.com/extensions/pro-super-slider.html Official website
 **/
$dest = $_GET["dest"];
$directory = base64_decode($dest) . "/images/pss/";
$maxFileSize = 0;
if ($_GET["action"] == "upload") {
	$allowedFileTypes = "*.jpg;*.jpeg;*.gif;*.png";
	$extension = pathinfo($_FILES['Filedata']['name']);
	$extension = "*.".strtolower($extension['extension']);
	$allowedFileTypes = explode(";", $allowedFileTypes);
		if (in_array($extension, $allowedFileTypes)) {
			$allowed = true;
		}
	}
if ($allowed) {
	if ($maxFileSize == 0 || $maxFileSize >=  $_FILES['Filedata']['size']) {
		move_uploaded_file($_FILES['Filedata']['tmp_name'], $directory.basename(str_replace(' ', '_', strtolower($_FILES['Filedata']['name']))));
		@chmod ($directory.basename(strtolower($_FILES['Filedata']['name'])), 0644);
		echo "Success!";
		}
	}
?>
